# DXGfxLib.ObjectFromMeshRessource Class Reference

This is a MeshObject which uses a MeshRessource. More...

Inherits DXGfxLib::MeshObject, and DXGfxLib::MeshObject.

Collaboration diagram for DXGfxLib.ObjectFromMeshRessource:

[legend]

List of all members.

## Public Member Functions
void | Attach (MeshRessource meshRessource)
| This method is used to associate a FrameworkMesh instance to the SceneObject.
override void | Draw (Device device)
| In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.
void | Attach (MeshRessource meshRessource)
| This method is used to associate a FrameworkMesh instance to the SceneObject.
override void | Draw (Device device)
| In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.
## Protected Attributes
MeshRessource | meshRessource = null
| Most of the time we are going to attach full framework Mesh to our scene object so we keep a possible ref to that in the base SceneObject class. This might be moved to a derive class in the future but it does suit my current needs.

## Detailed Description

This is a MeshObject which uses a MeshRessource.

Definition at line 13 of file ObjectFromMeshRessource.cs.

## Member Function Documentation

void DXGfxLib.ObjectFromMeshRessource.Attach | ( | MeshRessource | meshRessource | ) |

This method is used to associate a FrameworkMesh instance to the SceneObject.

Parameters:

  | meshToAttach |

Definition at line 25 of file ObjectFromMeshRessource.cs.

Here is the call graph for this function:

void DXGfxLib.ObjectFromMeshRessource.Attach | ( | MeshRessource | meshRessource | ) |

This method is used to associate a FrameworkMesh instance to the SceneObject.

Parameters:

  | meshToAttach |

Definition at line 25 of file ObjectFromMeshRessource.cs.

Here is the call graph for this function:

override void DXGfxLib.ObjectFromMeshRessource.Draw | ( | Device | device | ) | `[virtual]`

In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.

Parameters:

  | device |

Reimplemented from DXGfxLib.MeshObject.

Definition at line 38 of file ObjectFromMeshRessource.cs.

Here is the call graph for this function:

override void DXGfxLib.ObjectFromMeshRessource.Draw | ( | Device | device | ) | `[virtual]`

In its draw method the scene will call the Draw method on all scene object (or derived class instances) that have registered to be rendered in the AttachForRendering method.

Parameters:

  | device |

Reimplemented from DXGfxLib.MeshObject.

Definition at line 38 of file ObjectFromMeshRessource.cs.

Here is the call graph for this function:

## Member Data Documentation

MeshRessource DXGfxLib.ObjectFromMeshRessource::meshRessource = null`[protected]`

Most of the time we are going to attach full framework Mesh to our scene object so we keep a possible ref to that in the base SceneObject class. This might be moved to a derive class in the future but it does suit my current needs.

Definition at line 19 of file ObjectFromMeshRessource.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/ObjectFromMeshRessource.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/ObjectFromMeshRessource.cs